#ifndef CONTOURFINDER_H

#define CONTOURFINDER_H

//#include "vector2d.h"
#include <grale/vector2d.h>
#include <errut/errorbase.h>
#include <vector>

namespace grale
{

typedef Vector2D<double> Vector2Dd; // TODO

class ContourFinder : public errut::ErrorBase
{
public:
	ContourFinder(const std::vector<double> &values, Vector2Dd bottomLeft, Vector2Dd topRight,
                  int numX, int numY);
	~ContourFinder();
	bool findContours(double level);
	const std::vector<std::vector<Vector2Dd>> &getContours() const { return m_contours; }
private:
	const std::vector<double> m_values;
	const Vector2Dd m_bottomLeft, m_topRight;
	const int m_numX, m_numY;
	double m_xstep, m_ystep;

	std::vector<std::vector<Vector2Dd>> m_contours;
};

} // end namespace

#endif // CONTOURFINDER_H
