#ifndef HULLPROCESSOR_H

#define HULLPROCESSOR_H

#include <errut/errorbase.h>
#include <grale/triangulation.h>
#include <QVector>
#include <QPointF>

class HullProcessor : public errut::ErrorBase
{
public:
	HullProcessor();
	~HullProcessor();

	bool createImgDataPointsFromHull(const QVector<QPointF> &pts);
	const QVector<QPointF> &getImageDataPoints() const					{ return m_imgDataPoints; }
	const QVector<grale::TriangleIndices> &getTriangulation() const		{ return m_triangulation; }
	double getScale() const												{ return m_scale; }
private:
	static double getDistance(QPointF p1, QPointF p2, QPointF p0);
	static double getScale(const QVector<QPointF> &pts);
	bool createTriangulation();

	QVector<QPointF> m_imgDataPoints;
	QVector<grale::TriangleIndices> m_triangulation;
	double m_scale;
};

#endif // HULLPROCESSOR_H

