#include "treewidget.h"
#include "treeitembase.h"
#include "layertreeitem.h"
#include "layeritem.h"
#include "pointsmenu.h"
#include <QTreeWidgetItem>
#include <iostream>

using namespace std;

TreeWidget::TreeWidget(QWidget *pParent) : QTreeWidget(pParent)
{
	setContextMenuPolicy(Qt::CustomContextMenu);

	QObject::connect(this, &QTreeWidget::customContextMenuRequested, this, &TreeWidget::onCustomContextMenu);

}

TreeWidget::~TreeWidget()
{
}

void TreeWidget::onCustomContextMenu(const QPoint &p)
{
	QModelIndex index = indexAt(p);
	if (!index.isValid())
		return;

	QTreeWidgetItem *pItem = itemFromIndex(index);
	if (!pItem)
		return;

	TreeItemBase *pTreeItem = static_cast<TreeItemBase *>(pItem);
	if (pTreeItem->getType() == TreeItemBase::Layer)
	{
		LayerTreeItem *pLayerTreeItem = static_cast<LayerTreeItem *>(pTreeItem);
		LayerItem *pLayerItem = pLayerTreeItem->getLayer();

		if (pLayerItem->getLayerType() == LayerItem::Points)
		{
			PointsMenu menu(pLayerItem);
			menu.exec(mapToGlobal(p));
		}
	}
}
